Bug Hunting Session
Bug 121599 (Supress-migration-dialog) - [META] Firebird Migration: Suppress migration dialog when embedded HSQLDB not opened interactively
Summary: [META] Firebird Migration: Suppress migration dialog when embedded HSQLDB not...
Status: NEW
Alias: Supress-migration-dialog
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.1
Keywords:
Depends on: 117070 117531 119210 121587
Blocks: Database-Firebird-Migration
  Show dependency treegraph
 
Reported: 2018-11-21 16:48 UTC by Lionel Elie Mamane
Modified: 2019-08-07 21:27 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2018-11-21 16:48:48 UTC
+++ This bug was initially created as a clone of Bug #117120 +++

When an embedded HSQL DB is opened non-interactively (e.g. by a macro) or implicitly (e.g. through Writer/Calc's "data sources" dialog, or by opening a Writer / Calc document that includes forms linked to that embedded HSQL DB), there should be no migration popup.
Comment 1 Xisco Faulí 2018-11-21 17:16:16 UTC
*** Bug 121587 has been marked as a duplicate of this bug. ***
Comment 2 Xisco Faulí 2018-11-29 13:23:04 UTC
related bugs:
1. bug 119210 -> Insert Field
2. bug 121587 -> Running macros
3. bug 117070 -> Save as
Comment 3 Xisco Faulí 2018-11-29 13:24:22 UTC
4. bug 117531 -> Mailmerge wizard
Comment 4 Xisco Faulí 2019-07-31 09:29:04 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2019-07-31 12:46:28 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/77ef0a92b3bd19f836d0fcb2a41af5e643129283%5E%21

tdf#121599, tdf#123099: ignore migration dialog when

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-08-07 21:27:51 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/2b0d0863ebe39a964a927b3867aef277700f0066%5E%21

tdf#121599, tdf#123099: ignore migration dialog when

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.